<ui>
  <menubar name="MenuBar">
    <menu name="MusicMenu" action="Music">
      <menuitem name="MusicImportFileMenu" action="MusicImportFile"/>
      <menuitem name="MusicImportFolderMenu" action="MusicImportFolder"/>
      <separator/>
      <menuitem name="MusicScanMedia" action="MusicScanMedia"/>
      <separator/>
      <menu name="PlaylistMenu" action="Playlist">
	<menuitem name="MusicPlaylistNewPlaylistMenu" action="MusicPlaylistNewPlaylist"/>
	<menuitem name="MusicPlaylistNewAutomaticPlaylistMenu" action="MusicPlaylistNewAutomaticPlaylist"/>
	<menuitem name="MusicPlaylistLoadPlaylistMenu" action="MusicPlaylistLoadPlaylist"/>
	<menuitem name="MusicPlaylistSavePlaylistMenu" action="MusicPlaylistSavePlaylist"/>
	<menuitem name="MusicPlaylistEditAutoPlaylistMenu" action="EditAutomaticPlaylist"/>
	<placeholder name="MusicPlaylistPlaylistMenuPluginPlaceholder" />
	<separator name="MusicPlaylistSeparator1"/>
	<menuitem name="MusicPlaylistDeletePlaylistMenu" action="MusicPlaylistDeletePlaylist"/>
      </menu>
      <placeholder name="MusicMenuNewPluginPlaceholder" />
      <menuitem name="MusicNewPodcastMenu" action="MusicNewPodcast"/>
      <separator/>
      <menuitem name="MusicPropertiesMenu" action="MusicProperties"/>
      <separator/>
      <menuitem name="MusicClose" action="MusicClose"/>
      <menuitem name="MusicQuit" action="MusicQuit"/>
    </menu>

    <menu name="EditMenu" action="Edit">
      <menuitem name="EditCutMenu" action="EditCut"/>
      <menuitem name="EditCopyMenu" action="EditCopy"/>
      <menuitem name="EditPasteMenu" action="EditPaste"/>
      <menuitem name="EditDeleteMenu" action="EditDelete"/>
      <separator/>
      <menuitem name="EditSelectAllMenu" action="EditSelectAll"/>
      <menuitem name="EditSelectNoneMenu" action="EditSelectNone"/>
      <separator/>
      <menuitem name="EditAddToQueueMenu" action="AddToQueue"/>
      <menu name="EditPlaylistAddMenu" action="EditPlaylistAdd">
        <menuitem name="EditPlaylistAddNew" action="EditPlaylistAddNew"/>
        <separator/>
        <placeholder name="EditPlaylistAddPlaceholder"/>
      </menu>
      <separator/>
      <menuitem name="EditMovetoTrash" action="EditMovetoTrash"/>
      <separator/>
      <menuitem name="EditPluginsMenu" action="EditPlugins"/>
      <menuitem name="EditPreferencesMenu" action="EditPreferences"/>
    </menu>

    <menu name="ViewMenu" action="View">
      <menuitem name="ViewSmallDisplayMenu" action="ViewSmallDisplay"/>
      <menuitem name="ViewPartyModeMenu" action="ViewPartyMode"/>
      <separator name="ViewSep1"/>
      <menuitem name="ViewSidePaneMenu" action="ViewSidePane"/>
      <menuitem name="ViewQueueAsSidebarMenu" action="ViewQueueAsSidebar"/>
      <menuitem name="ViewBrowserMenu" action="ViewBrowser"/>
      <menuitem name="ViewStatusbarMenu" action="ViewStatusbar"/>
      <menuitem name="ViewToolbarMenu" action="ViewToolbar"/>
      <separator name="ViewSep2"/>
      <menuitem name="ViewAllMenu" action="ViewAll"/>
      <separator name="ViewSep3"/>
      <menuitem name="ViewJumpToPlayingMenu" action="ViewJumpToPlaying"/>
    </menu>

    <menu name="ToolsMenu" action="Tools">
      <placeholder name="ToolsOps_1" />
      <separator/>
      <placeholder name="ToolsOps_2" />
      <separator/>
      <placeholder name="ToolsOps_3" />
      <separator/>
      <placeholder name="ToolsOps_4" />
      <separator/>
      <placeholder name="ToolsOps_5" />
    </menu>

    <menu name="ControlMenu" action="Control">
      <menuitem name="ControlPlayMenu" action="ControlPlay"/>
      <separator name="ControlSep1"/>
      <menuitem name="ControlPreviousMenu" action="ControlPrevious"/>
      <menuitem name="ControlNextMenu" action="ControlNext"/>
      <separator name="ControlSep2"/>
      <menuitem name="ControlVolumeUpMenu" action="ControlVolumeUp"/>
      <menuitem name="ControlVolumeDownMenu" action="ControlVolumeDown"/>
      <separator name="ControlSep3"/>
      <menuitem name="ControlShuffleMenu" action="ControlShuffle"/>
      <menuitem name="ControlRepeatMenu" action="ControlRepeat"/>
    </menu>

    <menu name="HelpMenu" action="Help">
      <menuitem name="HelpContentsMenu" action="HelpContents"/>
      <menuitem name="HelpAboutMenu" action="HelpAbout"/>
    </menu>

  </menubar>

  <toolbar name="ToolBar">
    <toolitem name="Previous" action="ControlPrevious"/>
    <toolitem name="Play" action="ControlPlay"/>
    <toolitem name="Next" action="ControlNext"/>
    <separator/>
    <toolitem name="Repeat" action="ControlRepeat"/>
    <toolitem name="Shuffle" action="ControlShuffle"/>
    <separator/>
    <toolitem name="Browse" action="ViewBrowser"/>
    <separator/>
    <placeholder name="ToolBarPluginPlaceholder" />
  </toolbar>

  <toolbar name="SearchBar">
  </toolbar>

  <popup name="RhythmboxTrayPopup">
      <menuitem name="PlayTray" action="ControlPlay"/>
      <separator/>
      <menuitem name="PreviousTray" action="ControlPrevious"/>
      <menuitem name="NextTray" action="ControlNext"/>
      <separator/>
      <menuitem name="ShowWindowTray" action="TrayShowWindow"/>
      <menuitem name="ShowNotifications" action="TrayShowNotifications"/>
      <separator/>
      <menuitem name="QuitTray" action="MusicQuit"/>
  </popup>

  <popup name="BrowserSourceViewPopup">
    <menuitem name="AddToQueueLibraryPopup" action="AddToQueue"/>
    <menu name="BrowserSourcePopupPlaylistAdd" action="EditPlaylistAdd">
      <placeholder name="BrowserSourcePopupPlaylistAddPlaceholder"/>
      <separator/>
      <menuitem name="BrowserSourcePopupPlaylistAddNew" action="EditPlaylistAddNew"/>
    </menu>
    <menuitem name="CopyLibraryPopup" action="EditCopy"/>
    <separator/>
    <menuitem name="DeleteLibraryPopup" action="EditDelete"/>
    <menuitem name="MovetoTrashPopup" action="EditMovetoTrash"/>
    <separator/>
    <menuitem name="BrowseGenreLibraryPopup" action="BrowserSrcChooseGenre"/>
    <menuitem name="BrowseArtistLibraryPopup" action="BrowserSrcChooseArtist"/>
    <menuitem name="BrowseAlbumLibraryPopup" action="BrowserSrcChooseAlbum"/>
    <separator/>
    <menuitem name="PropertiesLibraryPopup" action="MusicProperties"/>
  </popup>

  <popup name="ImportErrorsViewPopup">
    <menuitem name="MovetoTrashPopup" action="EditMovetoTrash"/>
  </popup>

  <popup name="PlaylistViewPopup">
    <menuitem name="AddToQueuePlaylistPopup" action="AddToQueue"/>
    <menu name="PlaylistPopupPlaylistAdd" action="EditPlaylistAdd">
      <menuitem name="PlaylistPopupPlaylistAddNew" action="EditPlaylistAddNew"/>
      <separator/>
      <placeholder name="PlaylistPopupPlaylistAddPlaceholder"/>
    </menu>
    <menuitem name="CopyPlaylistPopup" action="EditCopy"/>
    <menuitem name="CutPlaylistPopup" action="EditCut"/>
    <menuitem name="DeletePlaylistPopup" action="EditDelete"/>
    <separator/>
    <menuitem name="MovetoTrashPlaylistPopup" action="EditMovetoTrash"/>
    <separator/>
    <menuitem name="PropertiesPlaylistPopup" action="MusicProperties"/>
  </popup>

  <popup name="QueuePlaylistViewPopup">
    <menuitem name="DeletePlaylistPopup" action="EditDelete"/>
    <separator/>
    <menuitem name="PropertiesPlaylistPopup" action="MusicProperties"/>
  </popup>

  <popup name="QueueSidebarViewPopup">
    <menuitem name="DeletePlaylistPopup" action="QueueDelete"/>
    <menuitem name="ClearPlaylistPopup" action="ClearQueue"/>
    <separator/>
    <menuitem name="PropertiesPlaylistPopup" action="QueueMusicProperties"/>
  </popup>

  <popup name="QueueSourcePopup">
    <menuitem name="ClearPlaylistPopup" action="ClearQueue"/>
    <placeholder name="QueueSourcePopupPluginPlaceholder" />
    <separator/>
  </popup>

  <popup name="SourceListPopup">
    <menuitem name="SourceListPopupNewPlaylist" action="MusicPlaylistNewPlaylist"/>
    <menuitem name="SourceListPopupNewAutomaticPlaylist" action="MusicPlaylistNewAutomaticPlaylist"/>
  </popup>

  <popup name="LibrarySourcePopup">
    <menuitem name="LibrarySrcPopupAddFile" action="MusicImportFile"/>
    <menuitem name="LibrarySrcPopupAddFolder" action="MusicImportFolder"/>
  </popup>

  <popup name="PodcastSourcePopup">
    <menuitem name="PodcastSrcPopupNew" action="MusicNewPodcast"/>
    <menuitem name="PodcastSrcPopupUpdateAllFeeds" action="PodcastUpdateAllFeeds"/>
  </popup>

  <popup name="PodcastViewPopup">
    <menuitem name="DownloadPodcastPopup" action="PodcastSrcDownloadPost"/>
    <menuitem name="CancelDownloadPopup" action="PodcastSrcCancelDownload"/>
    <menuitem name="DeletePodcastPopup" action="EditDelete"/>
    <separator/>
    <menuitem name="AddToQueuePodcastPopup" action="AddToQueue"/>
    <separator/>
    <menuitem name="PropertiesPodcastPopup" action="MusicProperties"/>
  </popup>

  <popup name="PodcastFeedViewPopup">
    <menuitem name="NewPodcastPopup" action="MusicNewPodcast"/>
    <menuitem name="PodcastSrcPopupUpdateAllFeeds" action="PodcastUpdateAllFeeds"/>
    <separator/>
    <menuitem name="UpdateFeedPodcastPopup" action="PodcastFeedUpdate"/>
    <menuitem name="DeleteFeedPodcastPopup" action="PodcastFeedDelete"/>
    <separator/>
    <menuitem name="PropertiesFeedPodcastPopup" action="PodcastFeedProperties"/>
  </popup>

  <popup name="AudioCdSourcePopup">
    <menuitem name="AudioCdSourcePopupCopyAllTracks" action="RemovableSourceCopyAllTracks"/>
    <menuitem name="AudioCdSourcePopupEjectCd" action="RemovableSourceEject"/>
  </popup>

  <popup name="PlaylistSourcePopup">
    <menuitem name="RenameAutoPlaylistPopup" action="MusicPlaylistRenamePlaylist"/>
    <separator/>
    <menuitem name="QueuePlaylistPopup" action="QueuePlaylist"/>
    <placeholder name="PlaylistSourcePopupPluginPlaceholder" />
    <separator/>
    <menuitem name="DeletePlaylistPopup" action="MusicPlaylistDeletePlaylist"/>
  </popup>

  <popup name="AutoPlaylistSourcePopup">
    <menuitem name="EditAutoPlaylistPopup" action="EditAutomaticPlaylist"/>
    <menuitem name="RenameAutoPlaylistPopup" action="MusicPlaylistRenamePlaylist"/>
    <separator/>
    <menuitem name="QueuePlaylistPopup" action="QueuePlaylist"/>
    <placeholder name="AutoPlaylistSourcePopupPluginPlaceholder" />
    <separator/>
    <menuitem name="DeleteAutoPlaylistPopup" action="MusicPlaylistDeletePlaylist"/>
  </popup>

  <popup name="MissingFilesViewPopup">
    <menuitem name="DeleteMissingFilesPopup" action="EditDelete"/>
    <menuitem name="PropertiesMissingFilesPopup" action="MusicProperties"/>
  </popup>

</ui>
